Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLTreeNamespaceManager.NamespaceMap

    java.lang.Object
      ix.util.xml.XMLTreeNamespaceManager.NamespaceMap

Enclosing class:
  XMLTreeNamespaceManager

    protected class XMLTreeNamespaceManager.NamespaceMap

extends java.lang.Object

Field Summary
`(package private) java.util.Comparator` | `namespaceComparator`
`(package private) java.util.List` | `namespaceList`
`(package private) java.util.Map` | `namespaceToColorMap`

Constructor Summary
`XMLTreeNamespaceManager.NamespaceMap()`

Method Summary
`(package private) void` | `add(org.jdom.Namespace n, java.awt.Color c)`
`(package private) java.awt.Color` | `getColor(org.jdom.Namespace n)`
`(package private) java.awt.Color` | `getEntryColor(int i)`
`(package private) org.jdom.Namespace` | `getEntryNamespace(int i)`
`(package private) java.util.List` | `getNamespaces()`
`(package private) int` | `indexOf(org.jdom.Namespace n)`
`(package private) void` | `setColor(org.jdom.Namespace n, java.awt.Color c)`
`(package private) int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespaceComparator

    java.util.Comparator namespaceComparator

### namespaceToColorMap

    java.util.Map namespaceToColorMap

### namespaceList

    java.util.List namespaceList

Constructor Detail

### XMLTreeNamespaceManager.NamespaceMap

    XMLTreeNamespaceManager.NamespaceMap()

Method Detail

### add

    void add(org.jdom.Namespace n,
             java.awt.Color c)

### getNamespaces

    java.util.List getNamespaces()

### size

    int size()

### getColor

    java.awt.Color getColor(org.jdom.Namespace n)

### setColor

    void setColor(org.jdom.Namespace n,
                  java.awt.Color c)

### indexOf

    int indexOf(org.jdom.Namespace n)

### getEntryNamespace

    org.jdom.Namespace getEntryNamespace(int i)

### getEntryColor

    java.awt.Color getEntryColor(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD